Index: linux-2.6.20.1/drivers/char/Kconfig
===================================================================
--- linux-2.6.20.1.orig/drivers/char/Kconfig	2007-02-26 00:46:56.000000000 +0100
+++ linux-2.6.20.1/drivers/char/Kconfig	2007-03-01 16:00:01.000000000 +0100
@@ -57,6 +57,18 @@
 
 	  If unsure, say Y.
 
+config NR_TTY_DEVICES
+	int "Maximum tty device number"
+	depends on VT
+	default 63
+	---help---
+	  This is the highest numbered device created in /dev. You will actually have
+	  NR_TTY_DEVICES+1 devices in /dev. The default is 63, which will result in
+	  64 /dev entries. The lowest number you can set is 11, anything below that, 
+	  and it will default to 11. 63 is also the upper limit so we don't overrun
+	  the serial consoles.
+
+
 config HW_CONSOLE
 	bool
 	depends on VT && !S390 && !UML
Index: linux-2.6.20.1/include/linux/vt.h
===================================================================
--- linux-2.6.20.1.orig/include/linux/vt.h	2007-03-01 16:04:03.000000000 +0100
+++ linux-2.6.20.1/include/linux/vt.h	2007-03-01 16:03:50.000000000 +0100
@@ -6,8 +6,19 @@
  * resizing).
  */
 #define MIN_NR_CONSOLES 1       /* must be at least 1 */
+#if (CONFIG_NR_TTY_DEVICES < 4)
+/* Lower Limit */
+#define MAX_NR_CONSOLES	4	/* serial lines start at 64 */
+#define MAX_NR_USER_CONSOLES 4	/* must be root to allocate above this */
+#elif (CONFIG_NR_TTY_DEVICES > 63)
+/* Upper Limit */
 #define MAX_NR_CONSOLES	63	/* serial lines start at 64 */
 #define MAX_NR_USER_CONSOLES 63	/* must be root to allocate above this */
+#else
+/* They chose a sensible number */
+#define MAX_NR_CONSOLES CONFIG_NR_TTY_DEVICES
+#define MAX_NR_USER_CONSOLES CONFIG_NR_TTY_DEVICES
+#endif
 		/* Note: the ioctl VT_GETSTATE does not work for
 		   consoles 16 and higher (since it returns a short) */
 
